OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSolid

# IGESSolid_Cylinder Class Reference

defines Cylinder, Type <154> Form Number <0>
in package IGESSolid
This defines a solid cylinder

`#include <IGESSolid_Cylinder.hxx>`

Inheritance diagram for IGESSolid_Cylinder:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSolid_Cylinder ()
Standard_EXPORT void | Init (const Standard_Real aHeight, const Standard_Real aRadius, const gp_XYZ &aCenter, const gp_XYZ &anAxis)
| This method is used to set the fields of the class Cylinder - aHeight : Cylinder height - aRadius : Cylinder radius - aCenter : First face center coordinates (default (0,0,0)) - anAxis : Unit vector in axis direction (default (0,0,1)) .
Standard_EXPORT Standard_Real | Height () const
| returns the cylinder height
Standard_EXPORT Standard_Real | Radius () const
| returns the cylinder radius
Standard_EXPORT gp_Pnt | FaceCenter () const
| returns the first face center coordinates.
Standard_EXPORT gp_Pnt | TransformedFaceCenter () const
| returns the first face center after applying TransformationMatrix
Standard_EXPORT gp_Dir | Axis () const
| returns the vector in axis direction
Standard_EXPORT gp_Dir | TransformedAxis () const
| returns the vector in axis direction after applying TransformationMatrix
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Real | theHeight
Standard_Real | theRadius
gp_XYZ | theFaceCenter
gp_XYZ | theAxis

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_Cylinder::IGESSolid_Cylinder | ( |  | ) |

## Member Function Documentation

Standard_EXPORT gp_Dir IGESSolid_Cylinder::Axis | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESSolid_Cylinder::FaceCenter | ( |  | ) | const

Standard_EXPORT const IGESSolid_Cylinder::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT Standard_Real IGESSolid_Cylinder::Height | ( |  | ) | const

Standard_EXPORT void IGESSolid_Cylinder::Init | ( | const Standard_Real | aHeight,
|  | const Standard_Real | aRadius,
|  | const gp_XYZ & | aCenter,
|  | const gp_XYZ & | anAxis
| ) |

Standard_EXPORT Standard_Real IGESSolid_Cylinder::Radius | ( |  | ) | const

Standard_EXPORT gp_Dir IGESSolid_Cylinder::TransformedAxis | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESSolid_Cylinder::TransformedFaceCenter | ( |  | ) | const

## Field Documentation

gp_XYZ IGESSolid_Cylinder::theAxis`[private]`

gp_XYZ IGESSolid_Cylinder::theFaceCenter`[private]`

Standard_Real IGESSolid_Cylinder::theHeight`[private]`

Standard_Real IGESSolid_Cylinder::theRadius`[private]`

The documentation for this class was generated from the following file:

- IGESSolid_Cylinder.hxx